#ifndef RANDOMNETWORK__H
#define RANDOMNETWORK__H

#include "NeuralNetwork.hpp"

class RandomNetworkImpl : public NeuralNetworkImpl
{
  private :

  long outputSize;

  public :

  RandomNetworkImpl(long outputSize);
  torch::Tensor forward(torch::Tensor input) override;
  std::vector<std::vector<long>> extractContext(Config &, Dict &) const override;
};

#endif
